Cripay Docs

List payments

Newest first. Paginate with `starting_after` (the last id of the previous page) and `limit` (max 100). `status` accepts a comma-separated list.

GET
/v1/payments

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key (cpr_…) or session JWT

Query Parameters

status?string
limit?integer
Range1 <= value <= 100
Default20
starting_after?string
created_gte?string
Formatdate-time
created_lte?string
Formatdate-time
merchant_order_id?string

Response Body

Default Response

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
Example Request
curl -X GET 'http://127.0.0.1:3001/v1/payments'
Example Response
{  "object": "list",  "data": [    {      "id": "string",      "object": "payment",      "mode": "test",      "status": "created",      "is_final": true,      "amount": "string",      "currency": "string",      "merchant_order_id": "string",      "payment_link": "string",      "description": "string",      "simulated": true,      "customer_email": "string",      "metadata": {        "property1": null,        "property2": null      },      "checkout_url": "string",      "success_url": "string",      "cancel_url": "string",      "allowed_payment_methods": [        "external"      ],      "accepted_assets": [        "string"      ],      "accepted_chains": [        "string"      ],      "payment_method": "string",      "chain": "string",      "asset": "string",      "vm_family": "string",      "deposit_address": "string",      "expected_amount_units": "string",      "paid_units": "string",      "paid_late": true,      "fee_bps": 0,      "fee_payer": "merchant",      "fee_fixed_units": "string",      "underpaid_tolerance_bps": 0,      "settlement_mode": "balance",      "risk_status": "string",      "gross_amount_units": "string",      "fee_amount_units": "string",      "net_amount_units": "string",      "tx_hash": "string",      "quote": {        "rate": "string",        "rate_source": "string",        "rate_as_of": "string",        "expires_at": "string"      },      "detected_at": "string",      "confirmed_at": "string",      "expires_at": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "has_more": true}